org.keycloak.adapters.jetty

## Class JettySessionTokenStore

- java.lang.Object
- - org.keycloak.adapters.jetty.core.AbstractJettySessionTokenStore
  - - org.keycloak.adapters.jetty.JettySessionTokenStore

- All Implemented Interfaces:
    AdapterTokenStore

      public class JettySessionTokenStore
      extends AbstractJettySessionTokenStore

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHED_FORM_PARAMETERS`
    `protected org.eclipse.jetty.server.Request` | `myRequest`

    - ### Fields inherited from class org.keycloak.adapters.jetty.core.AbstractJettySessionTokenStore

      `__J_METHOD, deployment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettySessionTokenStore(org.eclipse.jetty.server.Request request, KeycloakDeployment deployment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.jetty.util.MultiMap<String>` | `extractFormParameters(org.eclipse.jetty.server.Request base_request)`
    `protected void` | `restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post, org.eclipse.jetty.server.Request base_request)`
    `boolean` | `restoreRequest()`
    `void` | `saveRequest()`

    - ### Methods inherited from class org.keycloak.adapters.jetty.core.AbstractJettySessionTokenStore

      `checkCurrentToken, isCached, logout, refreshCallback, saveAccountInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHED_FORM_PARAMETERS

          public static final String CACHED_FORM_PARAMETERS

      See Also:
        Constant Field Values

    - #### myRequest

          protected org.eclipse.jetty.server.Request myRequest

  - ### Constructor Detail

    - #### JettySessionTokenStore

          public JettySessionTokenStore(org.eclipse.jetty.server.Request request,
                                KeycloakDeployment deployment)

  - ### Method Detail

    - #### extractFormParameters

          protected org.eclipse.jetty.util.MultiMap<String> extractFormParameters(org.eclipse.jetty.server.Request base_request)

    - #### restoreFormParameters

          protected void restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post,
                                   org.eclipse.jetty.server.Request base_request)

    - #### restoreRequest

          public boolean restoreRequest()

    - #### saveRequest

          public void saveRequest()

Copyright © 2015. All Rights Reserved.